/** Diese Klasse erzeugt eine Reihe von Zufallszahlen,
  * die man in Form einer Folge durchlaufen kann.
  **/
public class Aufzaehlung {

  /** Feld von Zufallszahlen */
  private double[] zahlen;

  /** Konstruktor. Erzeugt ein Objekt mit n Zufallszahlen */
  public Aufzaehlung(int n) {
    zahlen = new double[n];
    for (int i = 0; i < n; i++)
      zahlen[i] = Math.random();
  }

  /** Gibt die Anzahl der gespeicherten Zahlen aus */
  public int length() {
    return zahlen.length;
  }

  /** Gibt die i-te Zufallszahl zurueck */
  public double getZahl(int i) {
    return zahlen[i];
  }

  /** Main-Methode. Erzeugt ein Zahlenfeld der
    * Laenge 10 und gibt die Zahlen aus.
    */
  public static void main(String[] args) {
    Aufzaehlung zahlen = new Aufzaehlung(10);
    for (int i = 0; i < zahlen.length(); i++) {
      System.out.println(zahlen.getZahl(i));
    }
  }

}
